Bug Hunting Session
Bug 92842 - Writer: Space between words are hidden when we bold the text.
Summary: Writer: Space between words are hidden when we bold the text.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2015-07-20 12:45 UTC by muthu
Modified: 2017-09-29 08:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document (9.67 KB, application/vnd.oasis.opendocument.text)
2016-05-12 23:50 UTC, Aron Budea
Details
Screenshot of example doc (74.45 KB, image/png)
2016-05-12 23:51 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muthu 2015-07-20 12:45:51 UTC
1. Type something in Tamil.  Eg. திட்டமிடல்  என்றால்  என்ன?
2. Select the text and make it Bold.  

Expected: Space between the words should be maintained
Actual: Space between the words are removed.  

Env. Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: en_US, Windows 8.1
Comment 1 Buovjaga 2015-07-30 15:07:31 UTC
Not reproduced.
I could only see the glyphs on Linux, so I can't be sure about Windows.

Ubuntu 15.04 64-bit 
Version: 4.4.4.3
Build ID: 40m0(Build:3)
Locale: en_US.UTF-8

Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2015-07-30_03:52:32
Locale: en-US (en_US.UTF-8)
Comment 2 Aron Budea 2016-05-12 23:50:23 UTC
Created attachment 125021 [details]
Example document

I can reproduce this in Windows 7, LO 5.1.3.2.
Copied the example text in a document using different font sizes, both normal and bold. If font size is small, the spacing can completely disappear in some cases.

LO master build (039b75d6cdc26dcce03e37c67115405e6f2a8ebe) gives assertion failed: -1 != nCharPos, line 2361, vcl/win/gdi/winlayout.cxx

Spacing looks fine in Linux, LO 5.1.3.2.
Comment 3 Aron Budea 2016-05-12 23:51:22 UTC
Created attachment 125022 [details]
Screenshot of example doc
Comment 4 Aron Budea 2016-05-13 00:01:29 UTC
This appears to be a regression, not reproducible in 3.6.0.4, but appears in 4.0.0.3.
Comment 5 Xisco Faulí 2016-09-13 11:27:37 UTC
Adding keyword 'preBisect' as this regression was introduced before branch 4.4 and therefore it can't be bibisected as there's no bibisect repository for this branch.
Comment 6 Xisco Faulí 2017-09-29 08:49:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929